SMFPortal.de

Willkommen !

Autor Thema: Update-Probleme mit SMF 1.1.15  (Gelesen 2117 mal)

0 Mitglieder und 1 Gast betrachten dieses Thema.

Chynoah

  • Mitglied
  • **
  • Beiträge: 4
Update-Probleme mit SMF 1.1.15
« am: 28. Januar 2014, 13:55:01 »
Hallöchen,

ich hab da ein ziemlich seltsames Problem und hoffe, dass ihr mir da eventuell helfen oder Unterstützung bieten könnt.

Wir haben das CMS PragmaMX laufen und nutzen die PMX-Bridge für SMF (Zur Bridge: http://www.pragmamx.org/doku.php?id=mxsmf ). Zur Zeit läuft unser Forum auf 1.1.15. Weiterführend haben wir einen Konverter von WBBLite 2.x zum SMF-Forum drauf. Das Paket heisst im Paket-Manager "BurningBoard 3 login fix".
Soweit so gut, das Forum läuft soweit wunderbar. Allerdings haben wir hier angefangen bereits ein zwei kleinere Probleme. Gerne würden wir unser Forum ein wenig updaten. Bei PragmaMX steht, dass es mit der SMF Version 2.x nicht kompatibel ist, allerdings sollte es ja bei den 1.x-er Versionen noch laufen.
Zur Sicherheit testen wir es also mit XAMP auf dem lokalen Rechner und siehe da - es funktioniert bis SMF-Version 1.1.19 - so wie wir es gern auch auf der Website hätten.
Da es bei Xamp ohne Probleme lief, denkt man sich weitesgehend natürlich, dass es auf dem Webserver selbst ja eigentlich ebenso ohne große Komplikationen funktionieren sollte - Pustekuchen.

Anfänglich funktioniert schonmal der Link nicht, der hier mit eingeführt wird:
Zitat
Sie benutzen eine veraltete Version von SMF, welche unter Umständen Fehler enthält, die bei der aktuellen Version schon behoben sind. Es wird empfohlen, sobald wie möglich das Forum zu aktualisieren!

Naja, wir sind ja nicht auf den Kopf gefallen. Dann verwendet man eben die Zip-Dateien, die hier angeboten werden (http://custom.simplemachines.org/upgrades/)  - Gut, okay, tar.gz nimmt unser Server ab und an mal nicht, also erstmal entzippt und wieder gezippt auf *.zip-Datei umgezippt, hochgeladen. Das Paket wurde auch installiert, allerdings steht unsere Forum-Version immernoch standhaft auf 1.1.15. Ein "Deinstallieren" gibt es beim Paket-Manager beim Update ebenso wenig. Es gab keine Fehlermeldung, nichts. Einfach eine stupide Installation, die wie man irgendwie merkt - nichts gebracht hat.
Löschen wir das Paket und wollen es wieder einfügen und installieren, gibt es eine Fehlermeldung á la:
Dieses Paket ist schon installiert
und eben, dass es dringend abgeraten wird, das Paket erneut zu installieren.
Versuchen wir, von der angeblichen 1.1.16 zur 1.1.17 zu installieren, streikt er gleich, indem angeblich keine Angaben definiert wurden.

Allgemein wundert uns, dass es auf dem Webserver kein bisschen funktioniert, im XAMP aber schon. Sämtliche Links im Forum zu Versionsupdates, zum Supportforum oder weiteres.


Dies gibt uns die "ausführliche" Versionsbeschreibung:


SMF Datei   Deine Version   Aktuelle Version
SMF Paket   SMF 1.1.15   SMF 1.1.19
Quellen   1.1.11   1.1.19
Standard-Template   1.1   1.1.12
Sprachdateien   1.1.15   1.1.18

Weitere Versionen zu PMX, PHP etc:
CMS-Version:
pragmaMx 1.12.3.1.33.4.14 (2012-06-21)
PHP-Version:
5.3.2-1ubuntu4.22  (PHP-Info)
MySQL-Version:
5.1.72-0ubuntu0.10.04.1
Server-Version:
Apache/2.2.14 (Ubuntu)

Ansich hab ich ehrlich gesagt null Plan, was ich hier noch schreiben soll, oder aufm Webserver anders machen kann. Wir haben so viele Möglichkeiten ausprobiert, andere Updates verwendet (also von anderen Seiten) und hier und dort und haste-nich-gesehen. Jetzt bin ich sogar so verzweifelt, um mich tatsächlich in einem Support-Forum zu melden.

Nun hoff ich natürlich hier auf Hilfe, bibbernd und verzweifelnd. Ansonsten kann ich nicht anders, als alles hinzuschmeißen und komplett neu zu installieren. Aber dann gibt's wieder Fehler und argh .__.

Also... Help me ^-^


Alles Liebe schonmal und Danke!!
Chynoah

PS: Sollte der Link zum Forum bzw zur Website benötigt werden, einfach Bescheid sagen.
« Letzte Änderung: 28. Januar 2014, 13:56:34 von Chynoah »

Jorin

  • Gast
Re: Update-Probleme mit SMF 1.1.15
« Antwort #1 am: 28. Januar 2014, 14:23:24 »
Irgendwie kommt mir das tierisch bekannt vor: Der Paketmanager scheint die Installation fehlerfrei durchzuführen, die Dateien auf dem Webspace erfahren aber keinerlei Änderungen. Kenn ich. Letztendlich half bei mir nur, aller Bedenken zum Trotz, alle Verzeichnisse und Dateien mit den Zugriffsrechten 777 zu versehen. Das Trauerspiel kannst du in Ausschnitten hier nachlesen. In Wahrheit zog sich das über Tage und Wochen hin, die mich an den Rand der Verzweiflung brachten. Scheint aber ein Problem von All-Inkl.com in Kombination mit meiner Person zu sein.  ;)

Aber einen Versuch wäre das ja vielleicht wert?

Chynoah

  • Mitglied
  • **
  • Beiträge: 4
Re: Update-Probleme mit SMF 1.1.15
« Antwort #2 am: 28. Januar 2014, 14:32:32 »
Hallöchen,

Ich hab gerade mal nachgeschaut - sämtliche Dateien, Verzeichnisse und Unterverzeichnisse sind bereits auf cmod 777. =/
Ich weiss irgendwann nicht mehr weiter :(
Danke trotzdem.

Vllt weitere Helfer? .__.

Alles Liebe,
Chy

TE

  • Gast
Re: Update-Probleme mit SMF 1.1.15
« Antwort #3 am: 29. Januar 2014, 07:52:41 »
Patches lassen sich in der Regel recht einfach installieren, wen CHMOD rekursiv auf 777 steht.. der Paket-Manager hat dich vermutlich nach einem Pfad für's Forum gefragt, wenn da ein falscher Pfade angegeben wird dann kann es dazu kommen, daß das Paket als "installiert" angezeigt wird aber tatsächlich nichts passiert ist..
der Pfad, der dort angegeben werden muss ist absolut, aber aus Sicht des FTP-Benutzers... wenn du z.B. mit FileZilla auf den Server schaust und dann durch diverse Ordner klicken musst bis du die Settings.php vom SMF siehst müssen diese Pfade im Paket-Manager auch entsprechend angegeben werden.
Beispiel:
/var/www/public_html/smf ist der absolute Pfad aus Sicht des Servers.
/public_html/smf ist der (absolute) Pfad aus Sicht meines FTP-Benutzers, und diesen muss ich dann angeben.

Der Pfad sollte auch ohne abschließenden Slash / angegeben werden, auch das kann auf einigen Servern zu seltsamen Effekten führen.

man kann überprüfen, ob Patches bereits installiert wurden..
einfach prüfen, ob die Änderungen gemacht wurden:
http://custom.simplemachines.org/upgrades/index.php?action=upgrade;file=smf_patch_1.0.22_1.1.16.tar.gz;smf_version=1.1.15


Chynoah

  • Mitglied
  • **
  • Beiträge: 4
Re: Update-Probleme mit SMF 1.1.15
« Antwort #4 am: 30. Januar 2014, 00:57:56 »
einfach prüfen, ob die Änderungen gemacht wurden:
http://custom.simplemachines.org/upgrades/index.php?action=upgrade;file=smf_patch_1.0.22_1.1.16.tar.gz;smf_version=1.1.15

DAS hat mir geholfen!
Es hat zwar immernoch rein garnichts funktioniert, Linkabänderungen erfolgten ins Leere und die Verzweiflung war wirklich zu spüren, bis wir dann mal auf die Idee kamen, das komplette Forum _manuell_ auf 1.1.16 zu setzen -> Bedeutet, index.php, packages.php und messagesindex.php manuell dank dem obigen Link abzuändern und anzugleichen.
Und siehe da -> Es funktioniert!

Danach funktionierten auch sämtliche anderen Updates per Klick im Paket-Manager!
Demnach sind wir jetzt glückliche Besitzer des 1.1.19 Forums und warten sehnsüchtigst auf die neue Bridge von PragmaMX, sodass wir auf 2.x updaten können.

Danke, danke, danke Vielmals für den Tipp, TE!

Alles Liebe und viel Erfolg weiterhin,
glückliche Chynoah

 

Internes

Nutzungsbedingungen Impressum

Wissenswertes

Hilfe Knowledge Base

Nützliches

Downloads Socialmedia